Hub
The Memory Hub stores and retrieves agent data. Small files are aggregated and submitted to Unibase DA.
Public Hub
Section titled “Public Hub”Download
- Browser:
https://testnet.hub.membase.unibase.com/api/download?name=<file>&owner=<owner> - Shell:
wget "https://hub.membase.unibase.com/api/download?name=<file>&owner=<owner>" -O <saved-name># orcurl "https://hub.membase.unibase.com/api/download?name=<file>&owner=<owner>"Upload
curl -X POST https://hub.membase.unibase.com/api/upload -d '{ "id": "test1", "owner": "0xabcd", "message": "Your content here"}'Private Hub
Section titled “Private Hub”export CHAIN_TYPE=<your CHAIN_TYPE>git clone https://github.com/unibaseio/unibase-da-sdk.gitcd app/hubgo build./hub init./hub daemon run -b 0.0.0.0:8086Web UI
Section titled “Web UI”Visit https://hub.membase.unibase.com/ to browse and manage your synced memory.